Bug 98711 - EDITING: Incorrect bottom connecting point in "manual input" shape (flowcharts)
Summary: EDITING: Incorrect bottom connecting point in "manual input" shape (flowcharts)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.1.1.2 rc
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shape-Points
  Show dependency treegraph
 
Reported: 2016-03-16 16:31 UTC by Jan Lachnitt
Modified: 2019-12-03 14:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (47.53 KB, image/png)
2016-03-18 09:28 UTC, Jan Lachnitt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lachnitt 2016-03-16 16:31:50 UTC
The summary says everything, so let me provide an illustration :-)
             ___
       ___---   |
 ___---         |
|               |
|_______x_______|
Comment 1 Usama 2016-03-17 16:29:59 UTC
Hello Jan,

Thank you for reporting the bug. your illustration look awesome :) however without clear steps to reproduce it, we cannot track down the origin of the problem. Please provide a clearer set of step-by-step instructions on how to reproduce the problem along with a screenshot.

For example I followed these steps in Draw:
1. right click on flowchart from the sidebar
2. chose flowchart

it seems normal to me on LO 5.2.0 alpha OS: Windows 7 and 5.0.5 OS: Ubuntu 15.10.


I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested info is provided.
Comment 2 Jan Lachnitt 2016-03-18 09:28:17 UTC
Created attachment 123687 [details]
Screenshot
Comment 3 Jan Lachnitt 2016-03-18 09:39:29 UTC
Steps:
1. Create a new drawing.
2. From the flowchart group, select the "manual input" shape and place one in the drawing.
3. Select another (or the same) shape and place it in the drawing, too.
4. Select a connecting line and connect the two shapes, using the bottom connecting point of the "manual input" shape.
5. Notice that the connecting point is too high - that's the bug.

I believe the attached screenshot makes it clear :-)
Comment 4 Usama 2016-03-18 15:34:22 UTC
I confirm it on Version: 5.2.0.0.alpha0+ on both Ubuntu 15.10 and Windows 7.

It seems like other shapes has the connecting point issue too. one example is parallelogram.
Comment 5 Jan Lachnitt 2016-03-23 16:07:22 UTC
I have noticed that there are actually more connecting points than normally visible, and so it is possible to connect the "manual input" shape at the correct point (on the bottom edge).

I still think that the strange connecting points of some shapes are a bug, but rather minor (as the correct points also exist), so I have changed the bug importance accordingly.
Comment 6 QA Administrators 2017-05-22 13:19:58 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:59:19 UTC
Dear Jan Lachnitt,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug